using DevExpress.Xpf.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace VIZ.Package.Module.Resource
{
    /// <summary>
    /// Viz主题资源
    /// </summary>
    public class VizThemeThemePalette : ThemePalette
    {
        public VizThemeThemePalette() : base("VizTheme")
        {
            SetColor("HoverBackground", (Color)ColorConverter.ConvertFromString("#FF343434"));
            SetColor("Backstage.Button.Background", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("Backstage.Delimiter", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("Backstage.HoverBackground", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("Backstage.Window.Background", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("Focused", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("SelectionBackground", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("SelectionBorder", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
            SetColor("Window.HeaderButton.SelectionBackground", (Color)ColorConverter.ConvertFromString("#FF4E4BDE"));
        }
    }
}
